<!DOCTYPE html>
<html>
<head>
    <title></title>
    <script type="text/javascript">
        
    	//Fes una pàgina amb un botó i que calculi el temps que passa des de que es carrega el document de la página web fins que l’usuari pulsi el botó.
        var time = 1;
        const contador = () => {
            window.setInterval(function(){
                time++;
            },1000);
        }

        const muestraCont = () =>{
            document.getElementById('muestraContador').innerHTML =  "<p>Pasaran "+ time + " segundos hasta que precionaste el boton </p>";
        } 
    











    </script>
</head>
<body onload="contador()">
    Date

    <p>Calcula els milisegons que falten fins al dia del teu aniversari.</p>
   	<button type="button" onclick="muestraCont()">Click Me!</button>
    <p id="muestraContador"></p>

    <p>Crea un objecte de tipus Date amb la data i hora actual. Què passa si s’assigna amb el mètode setHours el valor 26? Que avanza 26 horas! 
    Què passa si s’assigna amb el mètode setMinutes el valor 65? Que Avanza 65 minutos!
    Què passa si s’assigna com a dia de mes 35? Que avanza 35 dias!</p>
    

    

    Demana la data de naixement a un usuari, i mostra l’edat en anys, mesos, dies, segons i milisegons.

    var date = new Date(prompt("intro tu fecha nacimento (YYY,MM,DD)"));
console.log(date);
var x = new Date();
console.log(x.getFullYear() - date.getFullYear() -1);
console.log(date.getFullYear() * 12);
console.log(x.getDate());

    Crea un programa que mostri per pantalla la data en format català. Per exemple: 11 de setembre de 1714.

    Crea un programa que mostri per pantalla l’hora en format català. Per exemple: Tres quarts i cinc de tres (14:50).

    Crea un programa que mostri l’hora per pantalla en format digital i l’actualitzi cada segon.

    Crea un programa on es demani a l’usuari una data, i calculi quants dies falten, o han passat respecte a la data actual.

    Crea un comptador on es mostrin els anys, mesos, dies, hores i segons que falten fins a la inauguració dels pròxims Jocs Olímpics.

    Crea un programa on es validi el format de la data introduïda a un formulari.

    Crea un programa on es demanin dues dates i digui quina és la més gran.

Math

    Fes un programa que demani dos números a l’usuari i retorni un valor aleatori enter comprès entre aquests dos números, ambdós inclosos
    const numAleatorio = () => {
  var num1 = prompt("intro num1");
  var num2 = prompt("intro num2");
  num1=parseInt(num1);
  num2=parseInt(num2);
  alert(num1 + num2);
  alert("El numero aleatorio de entre "+ num1 + " y " + num2 +": ");
  alert(Math.floor(Math.random() * num2) + num1);
}

numAleatorio();

Number

    Fes un programa on es forci el resultat NaN i es mostri per pantalla.

    Fes un programa on es forci el resultat -Infinity o Infinity i es mostri per pantalla.

    Modifica l’exercici de la calculadora per a que una vegada obtingut el resultat, l’usuari pugui escollir diferents maneres de representar el número.

</body>
</html>

